
Robotics Service Bus - Feature #1136
Add CMake rules for building, testing and packaging
08/08/2012 01:40 AM - J. Moringen

Status: Resolved Start date: 08/08/2012
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: ZMQ Connector Estimated time: 0.00 hour
Target version: rsb-0.9
Description

Associated revisions
Revision 853827b9 - 08/10/2012 03:51 PM - J. Moringen
temp
Moved packaging rules into separate file
fixes #1136
    -  CMakeLists.txt: removed packaging rules; moved to

  cpack/DebianUbuntu.cmake; fixed install rules; fixed version
  variables

    -  cpack/CPackInclude.cmake: new file; includes CPack and contains some
  CPack configuration logic

    -  cpack/DebianUbuntu.cmake: new file; contains CPack packaging rules
  for Ubuntu

Revision 0d7d3e8f - 09/30/2012 10:42 AM - J. Moringen

Moved packaging rules into separate file

fixes #1136

    -  CMakeLists.txt: removed packaging rules; moved to
  cpack/DebianUbuntu.cmake; fixed install rules; fixed version
  variables

    -  cpack/CPackInclude.cmake: new file; includes CPack and contains some
  CPack configuration logic

    -  cpack/DebianUbuntu.cmake: new file; contains CPack packaging rules
  for Ubuntu

History
#1 - 08/10/2012 04:31 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset rsb-zmq-cl|commit:853827b948a5ec050ef153b1a84cd88dec1e3c70.
